Bug 1005173 - Review Request: SDL2_image - Image loading library for SDL
Review Request: SDL2_image - Image loading library for SDL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 07:02 EDT by Igor Gnatenko
Modified: 2013-09-22 20:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: SDL2_image-2.0.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-07 20:35:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2013-09-06 07:02:52 EDT
Spec URL: http://ignatenkobrain.fedorapeople.org/for-review/SDL2_image.spec
SRPM URL: http://ignatenkobrain.fedorapeople.org/for-review/SDL2_image-2.0.0-1.fc20.src.rpm
Description: 
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, PPM, PCX, GIF, JPEG, PNG) as SDL surfaces.
Fedora Account System Username: ignatenkobrain
Comment 1 Gwyn Ciesla 2013-09-06 09:16:43 EDT
Good:

- rpmlint checks return:

SDL2_image.x86_64: W: no-manual-page-for-binary showimage
Each executable in standard binary directories should have a man page.

None exists.

SDL2_image-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files

Move README.txt into -devel

- package meets naming guidelines
- package meets packaging guidelines
- license ( LGPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Otherwise very clean.  Move the README prior to import.

APPROVED.
Comment 2 Igor Gnatenko 2013-09-06 09:24:48 EDT
OK. Will move README at import.

New Package SCM Request
=======================
Package Name: SDL2_image
Short Description: Image loading library for SDL
Owners: ignatenkobrain
Branches: f19 f20
Comment 3 Gwyn Ciesla 2013-09-06 09:40:47 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-06 10:28:56 EDT
SDL2_image-2.0.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/SDL2_image-2.0.0-2.fc19
Comment 5 Fedora Update System 2013-09-06 10:29:54 EDT
SDL2_image-2.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/SDL2_image-2.0.0-2.fc20
Comment 6 Fedora Update System 2013-09-06 13:26:35 EDT
SDL2_image-2.0.0-4.fc20 has been pushed to the Fedora 20 testing repository.
Comment 7 Fedora Update System 2013-09-07 20:35:39 EDT
SDL2_image-2.0.0-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 8 Fedora Update System 2013-09-22 20:08:34 EDT
SDL2_image-2.0.0-4.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.